const { defineConfig } = require('@vue/cli-service')
let port = 9010
module.exports = defineConfig({
  transpileDependencies: true,
  lintOnSave: false,
  devServer: {
    host: '0.0.0.0',
    port,
    proxy: {
      // 开发模式请求基础api反代理
      '/api': {
        target: `https://wx.hw.hongweisoft.com/veterans`,
        changeOrigin: true,
        pathRewrite: {
          '^/api': ''
        }
      }
    }
  }
})
